clc
clear all
%%%%%%%%%%%%%% Sekvence_1a
f = fopen('dataSpeed_1a.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_11 = str2double(data{1}(1:1:end));
f = fopen('dataFocus_1a.txt');
data = textscan(f,'%s');
fclose(f);
dataFocus_11 = str2double(data{1}(1:1:end));
f = fopen('dataBrightness_1a.txt');
data = textscan(f,'%s');
fclose(f);
dataBrightness_11 = str2double(data{1}(1:1:end));

%%%%%%%%%%%%%% Sekvence_1b
f = fopen('dataSpeed_1b.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_12 = str2double(data{1}(1:1:end));
f = fopen('dataFocus_1b.txt');
data = textscan(f,'%s');
fclose(f);
dataFocus_12 = str2double(data{1}(1:1:end));
f = fopen('dataBrightness_1b.txt');
data = textscan(f,'%s');
fclose(f);
dataBrightness_12 = str2double(data{1}(1:1:end));
%%%%%%%%%%%%%% Sekvence_2a
f = fopen('dataSpeed_2a.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_21 = str2double(data{1}(1:1:end));
f = fopen('dataFocus_2a.txt');
data = textscan(f,'%s');
fclose(f);
dataFocus_21 = str2double(data{1}(1:1:end));
f = fopen('dataBrightness_2a.txt');
data = textscan(f,'%s');
fclose(f);
dataBrightness_21 = str2double(data{1}(1:1:end));
%%%%%%%%%%%%%% Sekvence_2b
f = fopen('dataSpeed_2b.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_22 = str2double(data{1}(1:1:end));
f = fopen('dataFocus_2b.txt');
data = textscan(f,'%s');
fclose(f);
dataFocus_22 = str2double(data{1}(1:1:end));
f = fopen('dataBrightness_2b.txt');
data = textscan(f,'%s');
fclose(f);
dataBrightness_22 = str2double(data{1}(1:1:end));
%%%%%%%%%%%%%% Sekvence_3a

f = fopen('dataSpeed_3a.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_31 = str2double(data{1}(1:1:end));
f = fopen('dataFocus_3a.txt');
data = textscan(f,'%s');
fclose(f);
dataFocus_31 = str2double(data{1}(1:1:end));
f = fopen('dataBrightness_3a.txt');
data = textscan(f,'%s');
fclose(f);
dataBrightness_31 = str2double(data{1}(1:1:end));
%%%%%%%%%%%%%% Sekvence_3b
f = fopen('dataSpeed_3b.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_32 = str2double(data{1}(1:1:end));
f = fopen('dataFocus_3b.txt');
data = textscan(f,'%s');
fclose(f);
dataFocus_32 = str2double(data{1}(1:1:end));
f = fopen('dataBrightness_3b.txt');
data = textscan(f,'%s');
fclose(f);
dataBrightness_32 = str2double(data{1}(1:1:end));


%%%%%%%%%%%%%% Sekvence_1a vizualizace rychlosti, ostrosti a jasu
[m, n] = size(dataSpeed_11);
x = 1:m;
Speed_1a = 1:m;
Speed_1a(:) = median(dataSpeed_11);
yyaxis left
plot(x,dataSpeed_11)
xlabel('n (-)') 
ylabel('Rychlost (m/s)')
hold on
plot(x,Speed_1a,'b-')
yyaxis right
plot(x,dataFocus_11)
xlabel('n (-)') 
ylabel('Ostrost (-)') 
title('Průběh naměřené rychlosti a ostrosti obrazu - sekvence 1a ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Ostrost obrazu')
figure

[m, n] = size(dataSpeed_11);
x = 1:m;
yyaxis left
plot(x,dataSpeed_11)
hold on
plot(x,Speed_1a,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataBrightness_11)
xlabel('n (-)') 
ylabel('Jas (-)') 
title('Průběh naměřené rychlosti a jasu - sekvence 1a ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Jas obrazu')
figure
%%%%%%%%%%%%%% Sekvence_1b vizualizace rychlosti, ostrosti a jasu
[m, n] = size(dataSpeed_12);
x = 1:m;
Speed_1b = 1:m;
Speed_1b(:) = median(dataSpeed_12);
yyaxis left
plot(x,dataSpeed_12)
hold on
plot(x,Speed_1b,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataFocus_12)
xlabel('n (-)') 
ylabel('Ostrost (-)') 
title('Průběh naměřené rychlosti a ostrosti obrazu - sekvence 1b')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Ostrost obrazu')
figure

[m, n] = size(dataSpeed_12);
x = 1:m;
yyaxis left
plot(x,dataSpeed_12)
hold on
plot(x,Speed_1b,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataBrightness_12)
xlabel('n (-)') 
ylabel('Jas (-)') 
title('Průběh naměřené rychlosti a jasu - sekvence 1b ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Jas obrazu')
figure
%%%%%%%%%%%%%% Sekvence_2a vizualizace rychlosti, ostrosti a jasu
[m, n] = size(dataSpeed_21);
x = 1:m;
Speed_2a = 1:m;
Speed_2a(:) = median(dataSpeed_21);
yyaxis left
plot(x,dataSpeed_21)
hold on
plot(x,Speed_2a,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataFocus_21)
xlabel('n (-)') 
ylabel('Ostrost (-)') 
title('Průběh naměřené rychlosti a ostrosti obrazu - sekvence 2a')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Ostrost obrazu')
figure

[m, n] = size(dataSpeed_21);
x = 1:m;
yyaxis left
plot(x,dataSpeed_21)
hold on
plot(x,Speed_2a,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataBrightness_21)
xlabel('n (-)') 
ylabel('Jas (-)') 
title('Průběh naměřené rychlosti a jasu - sekvence 2a ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Jas obrazu')
figure
%%%%%%%%%%%%%% Sekvence_2b vizualizace rychlosti, ostrosti a jasu
[m, n] = size(dataSpeed_22);
x = 1:m;
Speed_2b = 1:m;
Speed_2b(:) = median(dataSpeed_22);
yyaxis left
plot(x,dataSpeed_22)
hold on
plot(x,Speed_2b,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataFocus_22)
xlabel('n (-)') 
ylabel('Ostrost (-)') 
title('Průběh naměřené rychlosti a ostrosti obrazu - sekvence 2b')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Ostrost obrazu','Location','southwest')
figure

[m, n] = size(dataSpeed_22);
x = 1:m;
yyaxis left
plot(x,dataSpeed_22)
hold on
plot(x,Speed_2b,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataBrightness_22)
xlabel('n (-)') 
ylabel('Jas (-)') 
title('Průběh naměřené rychlosti a jasu - sekvence 2b ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Jas obrazu','Location','southwest')
figure
%%%%%%%%%%%%%% Sekvence_3a vizualizace rychlosti, ostrosti a jasu
[m, n] = size(dataSpeed_31);
x = 1:m;
Speed_3a = 1:m;
Speed_3a(:) = median(dataSpeed_31);
yyaxis left
plot(x,dataSpeed_31)
hold on
plot(x,Speed_3a,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataFocus_31)
xlabel('n (-)') 
ylabel('Ostrost (-)') 
title('Průběh naměřené rychlosti a ostrosti obrazu - sekvence 3a')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Ostrost obrazu','Location','southwest')
figure

[m, n] = size(dataSpeed_31);
x = 1:m;
yyaxis left
plot(x,dataSpeed_31)
hold on
plot(x,Speed_3a,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataBrightness_31)
xlabel('n (-)') 
ylabel('Jas (-)') 
title('Průběh naměřené rychlosti a jasu - sekvence 3a ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Jas obrazu','Location','southwest')
%%%%%%%%%%%%%% Sekvence_3b vizualizace rychlosti, ostrosti a jasu
figure
[m, n] = size(dataSpeed_32);
x = 1:m;
Speed_3b = 1:m;
Speed_3b(:) = median(dataSpeed_32);
yyaxis left
plot(x,dataSpeed_32)
hold on
plot(x,Speed_3b,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataFocus_32)
xlabel('n (-)') 
ylabel('Ostrost (-)') 
title('Průběh naměřené rychlosti a ostrosti obrazu - sekvence 3b')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Ostrost obrazu','Location','southwest')

figure
[m, n] = size(dataSpeed_32);
x = 1:m;
yyaxis left
plot(x,dataSpeed_32)
hold on
plot(x,Speed_3b,'b-')
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
yyaxis right
plot(x,dataBrightness_32)
xlabel('n (-)') 
ylabel('Jas (-)') 
title('Průběh naměřené rychlosti a jasu - sekvence 3b ')
legend('Průběh naměřené rychlosti','Medián rychlosti', 'Jas obrazu','Location','southwest')


%%%%%%%%%%%%% Vyneseni do grafu namerenou rychlosti pro velikosti sablony
%%%%%%%%%%%%% 60 x 60, 80 x 80, 100 x 100. Pro testovani byla vyuzita Sekvence_1a
%%%%%%%%%%%%% Dale pro kontrolu vypocet medianu 

f = fopen('dataSpeed_60.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_60 = str2double(data{1}(1:1:end));
f = fopen('dataSpeed_80.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_80 = str2double(data{1}(1:1:end));
f = fopen('dataSpeed_100.txt');
data = textscan(f,'%s');
fclose(f);
dataSpeed_100 = str2double(data{1}(1:1:end));
[m, n] = size(dataSpeed_60);
x = 1:m;
figure 
plot(x,dataSpeed_60)
hold on
plot(x,dataSpeed_80)
hold on
plot(x,dataSpeed_100)
xlabel('n (-)') 
ylabel('Rychlost (m/s)') 
title('Průběhy naměřených rychlostí pro různé velikosti šablon ')
legend('velikost 60x60','velikost 80x80', 'velikost 100x100')
%%%%%%%%%%%%%% Vypocet rychlosti pohybu pomoci medianu

Speed_1a = median(dataSpeed_11)
Speed_1b = median(dataSpeed_12)
Speed_2a = median(dataSpeed_21)
Speed_2b = median(dataSpeed_22)
Speed_3a = median(dataSpeed_31)
Speed_3b = median(dataSpeed_32)
Speed_60 = median(dataSpeed_60)
Speed_80 = median(dataSpeed_80)
Speed_100 = median(dataSpeed_100)

%%%%%%%%%%%%%% Otevreni vystupniho rozhrani
app1;
